Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366622 - rubygem-thin package is missing runtime dependencies
Summary: rubygem-thin package is missing runtime dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-thin
Version: epel7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 13:11 UTC by Martin Magr
Modified: 2016-08-23 19:22 UTC (History)
5 users (show)

Fixed In Version: rubygem-thin-1.6.4-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:22:59 UTC


Attachments (Terms of Use)
Patch (deleted)
2016-08-12 13:11 UTC, Martin Magr
no flags Details

Description Martin Magr 2016-08-12 13:11:45 UTC
Created attachment 1190400 [details]
Patch

Description of problem:
Runtime dependencies are missed in spec for EPEL7, which makes the package useless.

Version-Release number of selected component (if applicable):
1.6.4-2

Actual results:
Useless package

Expected results:
When package is installed, depending packages won't complain on: /usr/share/rubygems/rubygems/dependency.rb:296:in `to_specs': Could not find 'daemons' (>= 1.0.9, ~> 1.0) among 30 total gem(s) (Gem::LoadError)

Additional info:
Patch attached.

Comment 1 Martin Magr 2016-08-17 10:37:58 UTC
Can this please get some attention or at least can I get approval on EPEL-7 commit access [1]?



[1] https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-thin/

Comment 2 Fedora Update System 2016-08-17 12:40:55 UTC
rubygem-thin-1.6.4-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2bcbcc23ea

Comment 3 Vít Ondruch 2016-08-17 12:41:59 UTC
I applied the patch and did the build for you, but hopefully you will get your ACLs approved soon.

Comment 4 Fedora Update System 2016-08-18 04:18:55 UTC
rubygem-thin-1.6.4-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2bcbcc23ea

Comment 5 Martin Magr 2016-08-22 20:32:08 UTC
Thanks, package works OK for me!

Comment 6 Fedora Update System 2016-08-23 19:22:56 UTC
rubygem-thin-1.6.4-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.